# Uses of Interface
org.eclipse.birt.chart.model.component.CurveFitting

Packages that use CurveFitting
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.script

## Uses of CurveFitting in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type CurveFitting
Modifier and Type
Method
Description
`static StructureSource`
WrappedStructureSource.`createSeriesFittingCurve(Series se, CurveFitting cf)`
Creates a WrappedStructure Source for type Series FittingCurve with a Series parent.

## Uses of CurveFitting in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return CurveFitting
Modifier and Type
Method
Description
`CurveFitting`
CurveFitting.`copyInstance()`
`CurveFitting`
ComponentFactory.`createCurveFitting()`
Returns a new object of class 'Curve Fitting'.
`CurveFitting`
Series.`getCurveFitting()`
Returns the value of the 'Curve Fitting' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type CurveFitting
Modifier and Type
Method
Description
`void`
Series.`setCurveFitting(CurveFitting value)`
Sets the value of the '`Curve Fitting`' containment reference.

## Uses of CurveFitting in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement CurveFitting
Modifier and Type
Class
Description
`class`
`CurveFittingImpl`
An implementation of the model object 'Curve Fitting'.
Methods in org.eclipse.birt.chart.model.component.impl that return CurveFitting
Modifier and Type
Method
Description
`CurveFitting`
CurveFittingImpl.`copyInstance()`
`static CurveFitting`
CurveFittingImpl.`create()`
Returns a curveFitting instance.
`CurveFitting`
ComponentFactoryImpl.`createCurveFitting()`
`static CurveFitting`
CurveFittingImpl.`createDefault()`
`CurveFitting`
SeriesImpl.`getCurveFitting()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type CurveFitting
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesImpl.`basicSetCurveFitting(CurveFitting newCurveFitting, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesImpl.`setCurveFitting(CurveFitting newCurveFitting)`

## Uses of CurveFitting in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type CurveFitting
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called after rendering curve fitting.
`void`
ChartEventHandlerAdapter.`beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawFittingCurve(CurveFitting cf, IChartScriptContext icsc)`
Called before rendering curve fitting.